> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyperline.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete segment

> Delete an existing customer segment.



## OpenAPI

````yaml delete /v1/customers/segments/{id}
openapi: 3.1.0
info:
  title: Hyperline API
  version: 0.0.0
servers:
  - url: https://api.hyperline.co
  - url: https://sandbox.api.hyperline.co
security: []
paths:
  /v1/customers/segments/{id}:
    delete:
      tags:
        - Customers > Segments
      summary: Delete segment
      description: Delete an existing customer segment.
      operationId: deleteCustomersSegment
      parameters:
        - schema:
            type: string
          required: true
          name: id
          in: path
      responses:
        '204':
          description: Segment deleted
      security:
        - bearer: []
components:
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````